Subject: Re: [resend/standalone PATCH v4] Add auxiliary bus support

From: Leon Romanovsky <[email-masked]>
Date: Fri, 4 Dec 2020 14:54:55 +0200

On Fri, Dec 04, 2020 at 01:35:05PM +0100, Greg KH wrote:
> On Wed, Dec 02, 2020 at 04:54:24PM -0800, Dan Williams wrote:
> > From: Dave Ertman <[email-masked]>
> >
> > Add support for the Auxiliary Bus, auxiliary_device and auxiliary_driver.
> > It enables drivers to create an auxiliary_device and bind an
> > auxiliary_driver to it.
> >
> > The bus supports probe/remove shutdown and suspend/resume callbacks.
> > Each auxiliary_device has a unique string based id; driver binds to
> > an auxiliary_device based on this id through the bus.
> >
> > Co-developed-by: Kiran Patil <[email-masked]>
> > Co-developed-by: Ranjani Sridharan <[email-masked]>
> > Co-developed-by: Fred Oh <[email-masked]>
> > Co-developed-by: Leon Romanovsky <[email-masked]>
> > Signed-off-by: Kiran Patil <[email-masked]>
> > Signed-off-by: Ranjani Sridharan <[email-masked]>
> > Signed-off-by: Fred Oh <[email-masked]>
> > Signed-off-by: Leon Romanovsky <[email-masked]>
> > Signed-off-by: Dave Ertman <[email-masked]>
> > Reviewed-by: Pierre-Louis Bossart <[email-masked]>
> > Reviewed-by: Shiraz Saleem <[email-masked]>
> > Reviewed-by: Parav Pandit <[email-masked]>
> > Reviewed-by: Dan Williams <[email-masked]>
> > Reviewed-by: Martin Habets <[email-masked]>
> > Link: https://lore.kernel.org/r/[email-masked]
> > Signed-off-by: Dan Williams <[email-masked]>
> > ---
> > This patch is "To:" the maintainers that have a pending backlog of
> > driver updates dependent on this facility, and "Cc:" Greg. Greg, I
> > understand you have asked for more time to fully review this and apply
> > it to driver-core.git, likely for v5.12, but please consider Acking it
> > for v5.11 instead. It looks good to me and several other stakeholders.
> > Namely, stakeholders that have pressure building up behind this facility
> > in particular Mellanox RDMA, but also SOF, Intel Ethernet, and later on
> > Compute Express Link.
> >
> > I will take the blame for the 2 months of silence that made this awkward
> > to take through driver-core.git, but at the same time I do not want to
> > see that communication mistake inconvenience other parties that
> > reasonably thought this was shaping up to land in v5.11.
> >
> > I am willing to host this version at:
> >
> > git://git.kernel.org/pub/scm/linux/kernel/git/djbw/linux tags/auxiliary-bus-for-5.11
> >
> > ...for all the independent drivers to have a common commit baseline. It
> > is not there yet pending Greg's Ack.
>
> Here is now a signed tag for everyone else to pull from and build on top
> of, for 5.11-rc1, that includes this patch, and the 3 others I sent in
> this series.
>
> Please let me know if anyone has any problems with this tag.  I'll keep
> it around until 5.11-rc1 is released, after which it doesn't make any
> sense to be there.

Thanks, pulled to mlx5-next

Jason, Jakob,

Can you please pull that mlx5-next branch to your trees?
git://git.kernel.org/pub/scm/linux/kernel/git/mellanox/linux.git

Thanks